/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.demo;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * <p>
 * This test case aggregates all demo test cases using testing framework component.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class TestingFrameworkDemoTests extends TestCase {

    /**
     * <p>
     * Return all tests using testing framework component.
     * </p>
     *
     * @return all tests using testing framework component.
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        suite.addTest(TestSimpleFilter.suite());
        suite.addTest(TestSimpleJsp.suite());
        suite.addTest(TestSimpleServlet.suite());
        suite.addTest(TestDBBasedFilter.suite());

        return suite;
    }

}
