/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.web;

import com.topcoder.testframework.demo.TestSimpleServlet;

import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.framework.Test;

/**
 * <p>
 * Unit test cases for TCServletTestCase.
 * </p>
 *
 * <p>
 * In this test case, only simple tests are provide, for more thorough tests please see TestSimpleServlet.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 *
 */
public class TCServletTestCaseTests extends TestCase {
    /**
     * <p>
     * TCServletTestCase instance for testing.
     * </p>
     */
    private TCServletTestCase testCase;

    /**
     * <p>
     * Setup test environment.
     * </p>
     *
     */
    protected void setUp() {
        testCase = new TestSimpleServlet("testUserNameNotSpecified");
    }

    /**
     * <p>
     * Tears down test environment.
     * </p>
     *
     */
    protected void tearDown() {
        testCase = null;
    }

    /**
     * <p>
     * Return all tests.
     * </p>
     *
     * @return all tests
     */
    public static Test suite() {
        return new TestSuite(TCServletTestCaseTests.class);
    }
    /**
     * <p>
     * Tests ctor TCServletTestCase#TCServletTestCase(String) for accuracy.
     * Expects a new TCServletTestCase instance created successfully.
     * </p>
     */
    public void testCtor1() {
        assertNotNull("Failed to create new TCServletTestCase instance.", testCase);
    }

    /**
     * <p>
     * Tests ctor TCServletTestCase#TCServletTestCase() for accuracy.
     * Expects a new TCServletTestCase instance created successfully.
     * </p>
     */
    public void testCtor2() {
        assertNotNull("Failed to create new TCServletTestCase instance.", new TestSimpleServlet());
    }

    /**
     * <p>
     * Tests TCServletTestCase#getConfig() for accuracy.
     * Trivial test. Please see TestSimpleServlet for more thorough test.
     * </p>
     */
    public void testGetConfig() {
        assertNull("Expects null config.", testCase.getConfig());
    }

    /**
     * <p>
     * Tests TCServletTestCase#getRequest() for accuracy.
     * Trivial test. Please see TestSimpleServlet for more thorough test.
     * </p>
     */
    public void testGetRequest() {
        assertNull("Expects null request.", testCase.getRequest());
    }

    /**
     * <p>
     * Tests TCServletTestCase#getResponse() for accuracy.
     * Trivial test. Please see TestSimpleServlet for more thorough test.
     * </p>
     */
    public void testGetResponse() {
        assertNull("Expects null response.", testCase.getResponse());
    }

    /**
     * <p>
     * Tests TCServletTestCase#getSession() for accuracy.
     * Trivial test. Please see TestSimpleServlet for more thorough test.
     * </p>
     */
    public void testGetSession() {
        assertNull("Expects null session.", testCase.getSession());
    }

}